View Issue Details

IDProjectCategoryView StatusLast Update
0000204VisualDifferFiles differpublic2013-12-11 16:38
ReportertkmantisAssigned Toadmin 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformMacBookPro Early 2011OSOS X Snow LeopardOS Version10.6.8
Product Version1.5.6 
Target VersionFixed in Version1.5.8 
Summary0000204: Resource fork difference not detected
DescriptionChose option to check resource forks. I had two files that were identical except that I corrupted one byte of the resource fork of one file with a hex editor. The files showed up as identical.
TagsNo tags attached.

Activities

admin

2013-11-10 08:34

administrator   ~0000394

May you zip the two files and send them to me?

I've duplicated a resource fork file, changed only one byte on the duplicated (with HexEdit) and VD found the difference.

I used 'File content only' as comparison method

tkmantis

2013-11-17 05:42

reporter   ~0000398

Test data uploaded to this ticket.

tkmantis

2013-11-17 05:43

reporter  

TestData.zip (10,975 bytes)

admin

2013-11-18 09:41

administrator   ~0000403

The files in test data appear identical, so I've done the following test.

1. Started VD and compared (using 'Compare file content only')
2. Files are identical
3. From HexEdit edited the file on directory 'A' (changed only one byte) and saved
4. Started again VD that found they are different

Maybe I do something in the wrong manner

tkmantis

2013-11-18 18:48

reporter   ~0000405

The files I sent already have a resource difference that can be detected by Toast CD burning software in its utility function to binary compare files or folders.

admin

2013-11-18 19:05

administrator   ~0000406

I've compared files with HexEdit and it hasn't found any difference

tkmantis

2013-12-01 16:06

reporter   ~0000415

Yes the resource forks are different in the test files I supplied. Take a closer look with hexedit, see attached pic.

tkmantis

2013-12-01 16:06

reporter  

admin

2013-12-01 17:12

administrator   ~0000417

My fault, I didn't choose 'resource' from open dialog and 'default' opens the data that are identical.

Ok I try to understand how to fix this bug

Issue History

Date Modified Username Field Change
2013-11-10 01:56 tkmantis New Issue
2013-11-10 01:56 tkmantis Status new => assigned
2013-11-10 01:56 tkmantis Assigned To => admin
2013-11-10 08:34 admin Note Added: 0000394
2013-11-17 05:42 tkmantis Note Added: 0000398
2013-11-17 05:43 tkmantis File Added: TestData.zip
2013-11-18 09:41 admin Note Added: 0000403
2013-11-18 18:48 tkmantis Note Added: 0000405
2013-11-18 19:05 admin Note Added: 0000406
2013-12-01 16:06 tkmantis Note Added: 0000415
2013-12-01 16:06 tkmantis File Added: Screen shot 2013-11-30 at 12.42.30 PM.png
2013-12-01 17:12 admin Note Added: 0000417
2013-12-11 16:38 admin Status assigned => closed
2013-12-11 16:38 admin Resolution open => fixed
2013-12-11 16:38 admin Fixed in Version => 1.5.8